---
title: Returns information about the repositories in your account
slug: returns-information-about-the-repositories-in-your-account
createdAt: 2025-01-28T10:28:11.769Z
---

{
  "id": "_r_KljD3pmW5hdVV5JO7H",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.waydev.co/v2/repositories",
    "name": "Returns information about the repositories in your account",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "Authorization",
          "type": "string",
          "description": "Your PAT generated in Waydev"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "state",
          "type": "string",
          "description": "Pass \"all\" or \"selected\" for filtering purposes"
        },
        {
          "kind": "optional",
          "name": "name",
          "type": "string",
          "description": "Filter the repositories to include only those whose names contain the given string"
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer",
          "description": "The page number to request"
        },
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer",
          "description": "<p>The number of items per page. Default 25, Max 500</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful operation",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Successful operation",
            "schema": [
              {
                "name": "count",
                "kind": "optional",
                "type": "integer",
                "example": 1
              },
              {
                "name": "values",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/definitions/RepositoryItem",
                "customType": "RepositoryItem[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer",
                    "example": 1706
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "example": "test-service"
                  },
                  {
                    "name": "full_name",
                    "kind": "optional",
                    "type": "string",
                    "example": "winc/test-service"
                  },
                  {
                    "name": "html_url",
                    "kind": "optional",
                    "type": "string",
                    "example": "https://github.com/winc/test-service"
                  },
                  {
                    "name": "is_selected",
                    "kind": "optional",
                    "type": "boolean",
                    "example": true
                  },
                  {
                    "name": "provider",
                    "kind": "optional",
                    "type": "string",
                    "example": "GitHub"
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "bad input parameter",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.waydev.co/v2/repositories \\\n     --header 'accept: application/json' \\\n     --header 'authorization: string'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"authorization\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.waydev.co/v2/repositories\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.waydev.co/v2/repositories\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"authorization\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.waydev.co/v2/repositories\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'authorization': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful operation\n{\n  \"count\": 1,\n  \"values\": [\n    {\n      \"id\": 1706,\n      \"name\": \"test-service\",\n      \"full_name\": \"winc/test-service\",\n      \"html_url\": \"https://github.com/winc/test-service\",\n      \"is_selected\": true,\n      \"provider\": \"GitHub\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// bad input parameter\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}